﻿version
6.50
0
frmLanguage
1
frmLanguageNew:FormLib
Sub designer
addform(frmLanguage,"Sparche","",255,255,255)@
addradiobtn(frmlanguage,rbtJ,120,130,90,25,"Japanese",255,255,255,0,0,0,False,True,False,10)@
addradiobtn(frmlanguage,rbtR,120,100,90,25,"Русский",255,255,255,0,0,0,False,True,False,10)@
addradiobtn(frmlanguage,rbtP,120,70,90,25,"Português",255,255,255,0,0,0,False,True,False,10)@
addradiobtn(frmlanguage,rbtS,120,40,90,25,"Español",255,255,255,0,0,0,False,True,False,10)@
addradiobtn(frmlanguage,rbtI,15,130,90,25,"Italiano",255,255,255,0,0,0,False,True,False,10)@
addradiobtn(frmlanguage,rbtG,15,100,90,25,"Deutsch",255,255,255,0,0,0,False,True,False,10)@
addradiobtn(frmlanguage,rbtF,15,70,90,25,"Français",255,255,255,0,0,0,False,True,False,10)@
addradiobtn(frmlanguage,rbtE,15,40,90,25,"English",255,255,255,0,0,0,False,True,False,10)@
addimagebutton(frmlanguage,imgButLanguage,0,0,240,30,"Sprache-Auswahl",212,208,200,0,0,0,"cStretchImage","Grafic\blue.gif",False,False,True,12)@
addmenuitem(frmlanguage,mnuLanguageCancel,"Cancel",True,False)@
addmenuitem(frmlanguage,mnuLanguageOK,"OK",True,False)@
End Sub
@EndOfDesignText@
Sub Globals
  Public strLanguage	  'Variable for Language
  Public Text(35)
  Dim strArray(2)
  ' varaibles for Language
'  English="E"
'  French="F"
'  German="G"
'  Spanish="S"
'  Italian="I"
'  Portuguese="P"
'  Japanese="J"
'  Russian="R"
  strAllLanguage="EFGSIPJR"
End Sub

Public Sub InitForm
  strLanguage="G"	'Default-Language "German"
  OpenIniFile
  frmLanguageNew.New1("frmLanguage",B4PObject(1))
  frmLanguageNew_resize
  InitLanguageSetting
End Sub

Sub frmLanguageNew_resize 
  imgButLanguage.Width=frmLanguage.Width
End Sub

Sub InitLanguageSetting
  For i=0 To 7
    strLang=StrAt (strAllLanguage , i)

    If FileExist(AppPath&"\lng\Lang_" & strLang &".txt")=True Then
      Control("rbt" & strLang, RadioBtn).Enabled=True

      AddEvent("rbt" & strLang, Click, "rbtLanguageClick")

      If StrToUpper(strLanguage)=strLang Then
        Control("rbt" & strLang, RadioBtn).Checked=True
      End If

    End If
  Next

  LoadLanguageText
  UpdateLanguage
End Sub

Sub UpdateLanguage
  Main.mnuFile.Text=text(23)
  Main.mnuAppExit.text=text(1)
  Main.mnuAbout.Text=text(5)
  Main.mnuLanguage.Text=text(4)
  Main.mnuFileNew.Text=text(7)
  Main.mnuFileOpen.Text=text(6)
  Main.mnuTable.Text=text(22)
  Main.mnuNewTable.Text=text(7)
  Main.mnuDeleteTable.Text=text(9)
  Main.mnuChangePasswd.Text=text(25)
  Main.fgFileChooser.mnuCanceltext=text(2)
  Main.fgFileChooser.HaederNames(text(30),text(31),text(32))
  Main.mnuKennwordCancel.Text=text(2)
'==============  
  Main.lblChangePassword.Text=text(25)
  Main.lblDatabase.Text=text(27)
  Main.lblPasswordold.Text=text(24)
  Main.lblPasswordNew.Text=text(28)
  Main.lblPasswordConfirm.Text=text(29)
'==============
  Main.lblInputPassword.Text=text(26)
  Main.btnInputPasswdCancel.Text=text(2)
'==============
  mNewSQLFile.mnuCancel.Text=text(2)
  mNewSQLFile.lblFileName.Text=text(27)
  mNewSQLFile.lblPasswd.Text=text(28)
  mNewSQLFile.lblPasswdConfirm.Text=text(29)
  mNewSQLFile.fgDirChooser.mnuCanceltext=text(2)
'==============
  mNewSQLTable.cmdaddcolumn.Text=text(10)
  mNewSQLTable.cmdupdatecolumn.Text=text(8)
  mNewSQLTable.cmdDeleteColumn.Text=text(9)
  mNewSQLTable.mnuCancel.Text=text(2)
'==============
  mnuLanguageCancel.Text=text(2)
End Sub

Sub LoadLanguageText
  Dim LFile
  LFile=AppPath&"\lng\Lang_" & strLanguage & ".txt"
	
  FileOpen(c1,LFile,cRead,,)
  r=FileRead(c1)

  Do Until r = EOF
    If r<>"" Then
      strArray()=StrSplit(r, "=")
      Text(strArray(0))=strArray(1)
    End If
    r = FileRead (c1)
  Loop
	
  FileClose(c1)
End Sub

Sub rbtLanguageClick
  strLanguage=StrAt (Sender.name, 3)
End Sub

Sub mnuLanguageOK_Click
  SaveIniFile
  LoadLanguageText
  UpdateLanguage
  frmLanguage.Close
End Sub

Sub mnuLanguageCancel_Click
  frmLanguage.Close
End Sub

Sub OpenIniFile
  file=AppPath & "\" & Main.strAppname & ".ini"
  If FileExist (file) = True Then
    FileOpen (c1,file,cRead ,,)
    r = FileRead (c1)
    Do Until r = EOF
      If r<>"" Then
        strArray()=StrSplit(r,"=")
        Select strArray(0)
          Case "Language"
            strLanguage = strArray(1)
         End Select
      End If
      r = FileRead (c1)
    Loop
    FileClose (c1)
  Else
    SaveIniFile
  End If
End Sub

Sub SaveIniFile
  file=AppPath & "\" & Main.strAppname & ".ini"
  FileOpen (c1,file,cWrite,,)
  FileWrite (c1,"[Init]") 
  FileWrite (c1,"Language=" & strLanguage)
  FileClose (c1)
End Sub
